haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.EnumFlags

Description

Support for enums and flags.

Synopsis

- genEnum :: Name -> Enumeration -> CodeGen e ()
- genFlags :: Name -> Flags -> CodeGen e ()

# Documentation

genEnum :: Name -> Enumeration -> CodeGen e () Source #

genFlags :: Name -> Flags -> CodeGen e () Source #

Very similar to enums, but we also declare ourselves as members of the IsGFlag typeclass.